/* ++++++++++++++++++++++++++++++++++
======> NAV BAR
++++++++++++++++++++++++++++++++++ */
#Offcn-account.offcanvas-sec.sm .offcanvas .offcanvas-body {
  display: none;
}

header nav {
  width: 100%;
  padding: 0 24px;
  background: white;
  transition: var(--Ltrns);
}
header nav.fixTop {
  position: fixed;
  transition: var(--Ltrns);
  width: 100%;
  top: 0;
  left: 0;
  z-index: +10;
  box-shadow: rgba(40, 39, 39, 0.082) 0px 4px 6px -1px,
    rgba(51, 51, 51, 0.06) 0px 2px 4px -1px;
  animation: naveffect 1.2s ease;
}
@keyframes naveffect {
  0% {
    top: -60px;
  }
  100% {
    top: 0;
  }
}

header nav .container {
  display: flex;
  gap: 0.9rem;
  padding: 0.8rem 0;
  border-bottom: 1px solid #ececec;
}
header nav .container .mini-About {
  display: none;
}

/* ===> Logo col */
header nav .logo-nav-col {
  flex-shrink: 0;
  display: flex;
  align-items: center;
}
header nav .logo-nav-col img {
  height: 40px;
  width: auto;
}

/* ===> Nav Link col */
header nav .nav-link-col {
  flex-grow: 1;
  display: flex;
  align-items: center;
  justify-content: flex-end;
  padding-right: 0.8rem;
}
header nav .nav-link-col .nav-ul {
  display: flex;
  list-style: none;
  padding: 0;
  margin: 0;
}
header nav .nav-link-col .nav-ul li:not(:last-child) {
  margin-right: 1.875rem;
}
header nav .nav-link-col .nav-ul .nav-link {
  font-family: var(--secoundry-font);
  font-size: var(--nav-link-f-size);
  padding: 0.75rem 0;
  color: var(--nav-link-color);
  font-weight: 400;
  transition: var(--Ltrns);
}
header nav .nav-link-col .nav-ul .nav-link:hover {
  color: var(--nav-link-hover-color);
}
header nav .nav-link-col .nav-ul .nav-link:is(.active, .active:hover) {
  color: var(--nav-link-active-color);
}

/* ===> Nav 3rd col */
header nav .nav-3rd-col {
  flex-shrink: 0;
  display: flex;
  align-items: center;
}
header nav .nav-3rd-col > *:not(:last-child) {
  margin-right: 0.9rem;
}
header nav .nav-3rd-col .nav-btn {
  flex-shrink: 0;
  padding: 0.5rem;
  text-align: center;
  color: var(--text-100);
  transition: var(--Ltrns);
}
header nav .nav-3rd-col .nav-btn:hover,
header nav .nav-3rd-col .nav-btn.active {
  color: var(--primary);
}
header nav .nav-3rd-col .nav-btn i {
  font-size: var(--nav-btn-i-size);
}

header nav .nav-3rd-col .nav-btn .sm-menu-title {
  display: none;
}

/* --- Wish list / Cart Button */
header nav .nav-3rd-col .cart-btn {
  border: 0;
  box-shadow: none;
  color: var(--text-100);
  margin-right: 10px;
  background: transparent;
  border-radius: var(--radious-prim);
  position: relative;
  transition: var(--Ltrns);
}
header nav .nav-3rd-col .nav-btn .badge {
  position: absolute;
  bottom: 60%;
  right: -5px;
  display: inline-block;
  padding: 1px 4px;
  background-color: var(--primary);
  color: var(--text-100);
  font-size: 0.5rem;
  font-weight: 600;
  border-radius: 50px;
}
.cart-btn:is(:hover, :active),
.cart-btn.active {
  color: var(--primary) !important;
  background-color: transparent !important;
}

.account-ul {
  padding: 15px;
  width: 220px;
  border: 1px solid rgba(141, 141, 141, 0.145);
  box-shadow: var(--shadow-100);
  list-style: none;
  margin: 0;
  border-radius: var(--radious-prim);
  background: white;
}
.account-ul li .Link {
  font-family: var(--secoundry-font);
  width: 100%;
  display: flex;
  align-items: center;
  gap: 5px;
  padding: 10px;
  font-size: 13px;
  text-decoration: none;
  color: var(--nav-link-color);
  text-transform: capitalize;
  font-weight: 400;
  border-radius: var(--radious-sec);
  transition: var(--Ltrns);
}
.account-ul li :is(.Link:hover, .Link.active) {
  color: var(--primary);
  background-color: var(--bg-300);
}

.account-ul li .sign-out:hover {
  color: rgb(250, 78, 78);
  background-color: var(--bg-300);
}

.account-ul li span {
  display: inline-block;
  width: 25px;
  flex-shrink: 0;
}

.search-btn {
  display: flex;
  flex-shrink: 0;
  padding: 0.5rem 1rem;
  text-align: center;
  color: var(--secoundry);
  border: 2px solid var(--secoundry);
  border-radius: 50px;
  font-size: 0.9rem;
  background-color: var(--primary);
  transition: var(--Ltrns);
}
.search-btn span.i-span {
  display: inline-block;
  padding-right: 0.5rem;
  margin-right: 0.5rem;
  border-right: 2px solid var(--secoundry);
}

/* ===> Nav 4th col */
header nav .nav-4th-col {
  display: none;
  align-items: center;
  flex-shrink: 0;
}
header nav .nav-4th-col .toggle-btn {
  flex-shrink: 0;
  padding: 0.5rem;
  text-align: center;
  font-size: 1rem;
  color: var(--text-100);
}

@media (max-width: 900px) {
  #Offcn-account.offcanvas-sec.sm .offcanvas .offcanvas-body {
    display: block;
  }

  header nav .container {
    justify-content: space-between;
    padding: 0.7rem 0;
  }

  header nav .nav-3rd-col {
    flex-grow: 1;
    justify-content: flex-end;
  }
  header nav .nav-3rd-col > *:not(:last-child) {
    margin-right: 0;
  }

  header nav .nav-4th-col {
    display: flex;
  }

  /* ===> Nav Link col */
  header nav .nav-link-col {
    display: block;
    padding-right: 0;
  }

  header nav .nav-link-col .nav-ul {
    display: grid;
    grid-template-columns: repeat(1, 1fr);
  }

  header nav .nav-link-col .nav-ul li {
    margin-right: 0;
  }

  header nav .nav-link-col .nav-ul .nav-link {
    padding: 0.75rem 0;
    display: block;
    border-bottom: var(--border-lite);
  }

  header nav .container .mini-About {
    display: block;
    margin-top: 30px;
  }

  header nav .container .mini-About .about-crd {
    padding: 6px 0;
    margin-bottom: 10px;
  }

  header nav .container .mini-About .about-crd h6 {
    color: var(--prim-100);
    font-size: 13px;
    font-weight: 700;
    margin-bottom: 2px;
  }

  header nav .container .mini-About .about-crd a {
    display: block;
    color: var(--text-200);
    font-weight: 500;
    font-size: 0.75rem;
    margin: 0;
  }

  header nav .User-drop .dropdown-menu {
    display: none !important;
  }

  /* Acount Manus CSS */
  .account-ul li :is(.Link:hover, .Link.active) {
    background-color: transparent;
  }

  .account-ul {
    width: 100%;
    border-radius: 0;
    background: transparent;
    padding: 0;
    display: grid;
    border: none;
    box-shadow: none;
    grid-template-columns: repeat(1, 1fr);
    gap: 0;
  }
  .account-ul li .Link {
    padding: 0.75rem 0;
    border-bottom: var(--border-lite);
    font-size: 13px;
  }
}

@media (max-width: 800px) {
  header nav .container {
    padding: 0.6rem 0;
  }

  header nav .logo-nav-col img {
    height: 45px;
  }

  header nav .nav-3rd-col .nav-btn .sm-menu-title {
    display: block;
    font-size: 10px;
    font-weight: 600;
    text-transform: capitalize;
    margin: 2px 0 0 0;
  }

  header nav .nav-3rd-col {
    position: fixed;
    justify-content: space-around;
    bottom: 0;
    left: 0;
    width: 100%;
    background: var(--nav-bg);
    z-index: +6;
    padding: 0.6rem 0.8rem;
    border-radius: var(--radious-prim) var(--radious-prim) 0 0;
    box-shadow: rgba(0, 0, 0, 0.05) 0px 6px 24px 0px,
      rgba(0, 0, 0, 0.08) 0px 0px 0px 1px;
  }

  header nav .nav-3rd-col .cart-btn {
    order: 1;
  }
  header nav .nav-3rd-col .User-drop {
    order: 3;
  }
  header nav .nav-3rd-col .search-btn {
    order: 2;
  }

  .search-btn {
    display: grid;
    width: 3rem;
    height: 3rem;
    place-items: center;
    box-shadow: rgb(255, 255, 255) 0px 1px 6px,
      rgb(255, 255, 255) 0px 0px 0px 6px;
    padding: 0;
    color: var(--secoundry);
    font-size: 1.1rem;
    transform: translateY(-1.6rem) scale(1.1);
  }

  .search-btn span.i-span {
    border: none;
    padding: 0;
    margin: 0;
  }
  .search-btn span.txt {
    display: none;
  }
}

/* ########################################### */
/*             OFFCANVAS CART CSS             */
/* ########################################### */

/*++++++++++++++> OFFCANVAS CART 🛒            */
/*==> Body */
#Offcn-cart .offcanvas-body .cart-ul {
  list-style: none;
  padding: 0;
}
/* Li > item card Css */
#Offcn-cart .offcanvas-body .cart-itm {
  display: flex;
  width: 100%;
  padding: 13px 0;
  position: relative;
}
#Offcn-cart .offcanvas-body .cart-itm:not(:last-child) {
  border-bottom: var(--border-lite);
}
/* item card img  */
#Offcn-cart .offcanvas-body .cart-itm img {
  width: 4.375rem;
  height: 4.375rem;
  object-fit: cover;
  flex-shrink: 0;
  border-radius: var(--radious-sec);
}

/* item card txrt  */
#Offcn-cart .offcanvas-body .cart-itm .itm-txt {
  flex-grow: 1;
  padding: 0 0.75rem;
  padding-right: 0;
}
#Offcn-cart .offcanvas-body .cart-itm .itm-txt a {
  text-decoration: none;
  color: var(--text-100);
  font-size: 14px;
  font-weight: 600;
  margin-bottom: 6px;
  margin-right: 2rem;
  display: block;
  word-wrap: break-word !important;
  word-break: break-word !important;
  transition: var(--Ltrns);
}
#Offcn-cart .offcanvas-body .cart-itm .itm-txt a:hover {
  color: var(--primary);
}
#Offcn-cart .offcanvas-body .cart-itm .itm-txt .crt-price {
  font-size: 0.875rem;
  font-weight: 400;
  color: var(--text-200);
}

#Offcn-cart .offcanvas-body .cart-itm .itm-txt .wrap-box {
  display: flex;
  justify-content: space-between;
  align-items: flex-end;
}
#Offcn-cart .offcanvas-body .cart-itm .itm-txt .wrap-box .qtyIncDecBox {
  flex-shrink: 0;
}
#Offcn-cart .offcanvas-body .cart-itm .itm-txt .wrap-box .tPrice {
  flex-shrink: 0;
  font-size: 0.9rem;
  font-weight: 600;
  margin: 0;
  color: rgb(67, 67, 67);
}

#Offcn-cart .offcanvas-body .cart-itm .remove-itm {
  margin: 0;
  padding: 0;
  font-size: 13px;
  width: 1.5rem;
  height: 1.5rem;
  display: flex;
  justify-content: center;
  align-items: center;
  border: none;
  background-color: #ffe8e8;
  color: rgb(189, 2, 2);
  position: absolute;
  top: 10px;
  right: 0;
  transition: var(--Ltrns);
}

/* EMPTY SIDE CART  */
.empty-SideCart {
  min-height: 40vh;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  gap: 20px;
}
.empty-SideCart .i-box {
  display: grid;
  width: 70px;
  height: 70px;
  background: var(--bg-200);
  color: var(--text-200);
  place-items: center;
  border-radius: 100%;
  font-size: 22px;
}
.empty-SideCart h6 {
  color: var(--text-100);
}

/* ==> FOOTER */
#Offcn-cart .s-cart-foot {
  flex-shrink: 0;
  border-top: var(--border-lite);
  padding-top: 1rem;
  padding-bottom: 20px;
}

#Offcn-cart .s-cart-foot .total-cart-box {
  display: flex;
  justify-content: space-between;
}
#Offcn-cart .s-cart-foot .total-cart-box h6 {
  font-weight: 700;
  color: var(--text-200);
}
#Offcn-cart .s-cart-foot .total-cart-box h6:last-child {
  color: var(--primary);
}

#Offcn-cart .s-cart-foot .check-btn-box {
  display: grid;
  gap: 10px;
  text-transform: uppercase;
}
#Offcn-cart .s-cart-foot .check-btn-box .btn-lg:hover {
  transform: translate(0);
}
